/*  XFC: Xfce Foundation Classes (Glade Library)
 *  Copyright (C) 2005 The XFC Development Team.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/// @file xfc/xfcglade.hh 
/// @brief The main XFC Glade header file.
///
/// This header file includes all the XFC Glade header files. You can safely 
/// include this header file only, with minimal extra overhead, because each
/// header file uses include guards to prevent multiple inclusions.

/// @defgroup glade_group The Glade Namespace
/// @namespace Xfc::Glade
/// @ingroup xfc_group
/// @brief The glade XML interface namespace.
///
/// Provides a C++ interface for GladeXML, an object that loads and parses
/// a XML interface description at runtime. 

#ifndef XFC_XFCGLADE_HH
#define XFC_XFCGLADE_HH

#include <xfc/glade/glade.hh>

#endif // XFC_XFCGLADE_HH

